## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name coincurve

Name:          python-%{pypi_name}
Version:       20.0.0
Release:       %autorelease
Summary:       Cross-platform Python bindings for libsecp256k1
# A part which is autogenerated from libsecp256k1 header files is licensed
# under MIT only. The other part written in Python is licensed under "MIT or
# Apache-2.0".
License:       MIT and (MIT or Apache-2.0)
URL:           https://github.com/ofek/coincurve
VCS:           git:%{url}.git
Source0:       %{pypi_source %{pypi_name}}
# Fedora-specific. Fedora ships a higher but still compatible versions of a
# build dependencies.
Patch1:        python-coincurve-0001-Relax-dependency.patch
# Fedora-specific. Use our system-wide lib instead of downloading and building
# bundled copy.
Patch2:        python-coincurve-0002-Customize-CMake-defaults.patch
# Fedora-specific. We keep debuginfo and ship it in a separate package.
Patch3:        python-coincurve-0003-Don-t-strip-binary.patch
# Fedora-specific. We prefer our own C(XX)FLAGS.
Patch4:        python-coincurve-0004-Don-t-override-C-XX-FLAGS.patch
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: libsecp256k1-devel >= 0.4.1
BuildRequires: pkgconfig
BuildRequires: python3-devel
BuildRequires: python3-pytest

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf docs/.scripts docs/.snippets docs/assets

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE-MIT LICENSE-APACHE
%doc docs/ README.md

%changelog
## START: Generated by rpmautospec
* Thu Sep 05 2024 Peter Lemenkov <lemenkov@gmail.com> - 20.0.0-1
- Initial build
## END: Generated by rpmautospec
